Subject: bug#54175: 27.2; Info-follow-reference completions in reverse order

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Feb 2022 18:36:04 +0200

> From: Howard Melman <[email-masked]>
> Date: Sun, 27 Feb 2022 10:43:49 -0500
> 
> On Feb 27, 2022, at 2:17 AM, Eli Zaretskii <[email-masked]> wrote:
> 
> > I must say that I'm uneasy with such changes, which punish every user
> > of Info because some optional completion facility out there would like
> > that.  It sounds wrong.  Why shouldn't we expect from those optional
> > completion facilities to do this if and when they need?
> 
> 1. I understand your "who has the burden" argument but the cost of 
> reversing a list of a handful of items is hardly punishment.

It doesn't have to be a handful, though.  Large manuals, such as
Emacs and ELisp, have some large nodes with many cross-references.
For example, see the Glossary node.